name: "empty"
description: "Genesis Empty element"
schema_version: 1
version: "0.0.1-dev+20260410115812.03e753cd"
api_version: "v1"

requirements:
  core:
    from_version: "0.0.0"


resources:

  # Compute
  $core.compute.sets:
    empty_set:
      name: "empty"
      project_id: "12345678-c625-4fee-81d5-f691897b8142"
      cores: $empty.imports.$var_default_cores:value
      ram: $empty.imports.$var_default_ram:value
      replicas: $empty.imports.$var_default_replicas:value
      disk_spec:
        kind: "root_disk"
        size: 10
        image: "https://repository.genesis-core.tech/genesis-elements/empty/0.0.1-dev+20260410115812.03e753cd/images/empty.raw.gz"

imports:
  var_default_replicas:
    element: "$core"
    kind: "resource"
    link: "$core.vs.variables.$default_replicas"
  var_default_cores:
    element: "$core"
    kind: "resource"
    link: "$core.vs.variables.$default_cores"
  var_default_ram:
    element: "$core"
    kind: "resource"
    link: "$core.vs.variables.$default_ram"